<?php

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns(
    'sys_file_storage',
    [
        'exiftool_keep_pdf_tags' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:gsb_metadata_cleaner/Resources/Private/Language/locallang_db.xlf:sys_file_storage.exiftool_keep_pdf_tags',
            'description' => 'LLL:EXT:gsb_metadata_cleaner/Resources/Private/Language/locallang_db.xlf:sys_file_storage.exiftool_keep_pdf_tags.description',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'items' => [
                ],
                'size' => 3,
                'autoSizeMax' => 10,
                'multiple' => true,
            ],
        ],
        'exiftool_keep_image_tags' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:gsb_metadata_cleaner/Resources/Private/Language/locallang_db.xlf:sys_file_storage.exiftool_keep_image_tags',
            'description' => 'LLL:EXT:gsb_metadata_cleaner/Resources/Private/Language/locallang_db.xlf:sys_file_storage.exiftool_keep_image_tags.description',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'items' => [
                ],
                'size' => 3,
                'autoSizeMax' => 10,
                'multiple' => true,
            ],
        ],
    ]
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'sys_file_storage',
    '--div--;LLL:EXT:gsb_metadata_cleaner/Resources/Private/Language/locallang_db.xlf:sys_file_storage.gsb_metadata_cleaner,exiftool_keep_pdf_tags, exiftool_keep_image_tags'
);
